Skip to main content
Apps (BYOK)

Register your own OAuth app (Bring Your Own Keys)

Store the client credentials of your own OAuth app for a platform. Pass the returned id as appId when calling /v1/connect/:platform to connect accounts under it.

POST/v1/apps/

Authorization

accessKey
x-access-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/apps/" \  -H "Content-Type: application/json" \  -d '{    "platform": "twitter",    "name": "string",    "clientId": "string",    "clientSecret": "string"  }'
{
  "success": true,
  "app": {
    "id": "string",
    "platform": "twitter",
    "name": "string",
    "imageUrl": "string",
    "clientId": "string",
    "integrationCount": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}